Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.pas.domain
Class Patient

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.pas.domain.Patient

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class Patient

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Patient()`

Method Summary
`int` | `getAge()`
`Gender` | `getGender()`
`String` | `getName()`
`Integer` | `getPreferredMaximumRoomCapacity()`
`List<PreferredPatientEquipment>` | `getPreferredPatientEquipmentList()`
`List<RequiredPatientEquipment>` | `getRequiredPatientEquipmentList()`
`void` | `setAge(int age)`
`void` | `setGender(Gender gender)`
`void` | `setName(String name)`
`void` | `setPreferredMaximumRoomCapacity(Integer preferredMaximumRoomCapacity)`
`void` | `setPreferredPatientEquipmentList(List<PreferredPatientEquipment> preferredPatientEquipmentList)`
`void` | `setRequiredPatientEquipmentList(List<RequiredPatientEquipment> requiredPatientEquipmentList)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Patient

    public Patient()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getGender

    public Gender getGender()

### setGender

    public void setGender(Gender gender)

### getAge

    public int getAge()

### setAge

    public void setAge(int age)

### getPreferredMaximumRoomCapacity

    public Integer getPreferredMaximumRoomCapacity()

### setPreferredMaximumRoomCapacity

    public void setPreferredMaximumRoomCapacity(Integer preferredMaximumRoomCapacity)

### getRequiredPatientEquipmentList

    public List<RequiredPatientEquipment> getRequiredPatientEquipmentList()

### setRequiredPatientEquipmentList

    public void setRequiredPatientEquipmentList(List<RequiredPatientEquipment> requiredPatientEquipmentList)

### getPreferredPatientEquipmentList

    public List<PreferredPatientEquipment> getPreferredPatientEquipmentList()

### setPreferredPatientEquipmentList

    public void setPreferredPatientEquipmentList(List<PreferredPatientEquipment> preferredPatientEquipmentList)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.